Class Allocation

Declaration :

- C++ : class Allocation : public LocatingPin

Directly inherited by : Constraint Wish

a directive to place a MObject in a specific way

Artifact : allocation

Attribut repr

Declaration :

- Uml : # repr : string
- C++ : protected: string repr

human readable representation of the condition characterizing this allocaton, e.g. "t >= 10"

Operation get_repr

Declaration :

- Uml : + get_repr() : string
- C++ : public: inline const string getRepr () const

All public operations : get_repr